Bug 609506 - Review Request: gtk2hs-buildtools - Buildtools for gtk2hs
Summary: Review Request: gtk2hs-buildtools - Buildtools for gtk2hs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shakthi Kannan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Keywords:
Depends On:
Blocks: 609518 609528
TreeView+ depends on / blocked
 
Reported: 2010-06-30 13:07 UTC by Jens Petersen
Modified: 2010-11-11 15:52 UTC (History)
4 users (show)

Fixed In Version: gtk2hs-buildtools-0.11.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 01:39:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2010-06-30 13:07:35 UTC
Spec URL: http://petersen.fedorapeople.org/gtk2hs-buildtools/gtk2hs-buildtools.spec
SRPM URL: http://petersen.fedorapeople.org/gtk2hs-buildtools/gtk2hs-buildtools-0.9-1.fc12.src.rpm
Description: 
This package provides a set of helper programs necessary to build
the Gtk2Hs suite of libraries. These tools include:

- a modified c2hs binding tool that is used to generate FFI declarations,
- a tool to build a type hierarchy that mirrors the C type hierarchy of
  GObjects found in glib, and
- a generator for signal declarations that are used to call back from C
  to Haskell.

These tools are not needed to compile or run Gtk2Hs programs, only to build
the gtk2hs libraries themselves.


http://hackage.haskell.org/package/gtk2hs-buildtools

Comment 1 Jens Petersen 2010-06-30 13:32:49 UTC
Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2283459

Comment 3 Jens Petersen 2010-07-13 03:41:59 UTC
Shakthi, if you are taking the review then please set the "fedora‑review" Flag to '?', thanks.

Comment 4 Shakthi Kannan 2010-07-13 03:58:24 UTC
Sorry! Done now. Forgot about that.

Comment 5 Shakthi Kannan 2010-07-13 17:12:57 UTC
Here is the review:

Legend:  +: ok
        NA: not applicable

MUST Items:
[+] MUST: rpmlint output

$ rpmlint gtk2hs-buildtools.spec ../RPMS/i686/gtk2hs-buildtools-0.9-2.fc14.i686.rpm ../SRPMS/gtk2hs-buildtools-0.9-2.fc14.src.rpm  
gtk2hs-buildtools.i686: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
gtk2hs-buildtools.i686: W: spelling-error %description -l en_US hs -> HS, sh, gs
gtk2hs-buildtools.i686: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
gtk2hs-buildtools.i686: W: no-manual-page-for-binary gtk2hsHookGenerator
gtk2hs-buildtools.i686: W: no-manual-page-for-binary gtk2hsTypeGen
gtk2hs-buildtools.i686: W: no-manual-page-for-binary gtk2hsC2hs
gtk2hs-buildtools.src: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
gtk2hs-buildtools.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
gtk2hs-buildtools.src: W: spelling-error %description -l en_US gtk -> gt, gt k, GTE
2 packages and 1 specfiles checked; 0 errors, 9 warnings.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

9cbc63d222b518e378e5a42769ce59d1  gtk2hs-buildtools-0.9.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.

F-13, F-14:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2316862
http://koji.fedoraproject.org/koji/taskinfo?taskID=2316865

[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package APPROVED

Comment 6 Jens Petersen 2010-07-14 03:17:19 UTC
Thanks for the review.


New Package CVS Request
=======================
Package Name: gtk2hs-buildtools
Short Description: Haskell gtk2hs binding tools
Owners: petersen
Branches: devel
InitialCC: haskell-sig

Comment 7 Kevin Fenzi 2010-07-14 16:48:34 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Jens Petersen 2010-07-15 01:39:16 UTC
Built for devel:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2321006

May backport later to f13/f12 though we still have ghc-gtk2hs there already.

Comment 9 Jens Petersen 2010-07-31 06:24:28 UTC
Package Change Request
======================
Package Name: gtk2hs-buildtools
New Branches: F-12 F-13

Comment 10 Kevin Fenzi 2010-08-02 16:33:37 UTC
git done.

Comment 11 Fedora Update System 2010-08-05 06:33:10 UTC
gtk2hs-buildtools-0.9-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtk2hs-buildtools-0.9-2.fc13

Comment 12 Fedora Update System 2010-08-05 23:40:53 UTC
gtk2hs-buildtools-0.9-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-09-23 04:06:30 UTC
gtk2hs-buildtools-0.11.2-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/gtk2hs-buildtools-0.11.2-1.fc12

Comment 14 Fedora Update System 2010-10-05 09:25:35 UTC
gtk2hs-buildtools-0.11.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Jens Petersen 2010-11-10 07:43:22 UTC
Package Change Request
======================
Package Name: gtk2hs-buildtools
New Branches: el6
Owners: petersen
InitialCC: haskell-sig

Comment 16 Jason Tibbitts 2010-11-11 15:52:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.